#include "gd32e23x.h"
#include "systick.h"
#include <stdio.h>

#include <led.h>
#include <delay.h>
#include <usart.h>
#include <stdlib.h>

uint32_t USART0_RECEIVE_Buf[100]; 
uint32_t USART1_RECEIVE_Buf[100]; 

#define MAX_TABLE_CHAR 5
#define TABLE_RECORD_ADDR 0
extern unsigned char val[];

int main(void)
{
	int  i,k;
	unsigned char ret;
	char buf[128];
	char va[19];
	
	char mode=1;//run mode as default
	char code_table[MAX_TABLE_CHAR];
	unsigned char key=0xff;
	unsigned char data_h,data_l;
	unsigned short data;
	unsigned char p[10];
    systick_config();   
		USART0_Init();
		Delay_ms(500);
	
    for(;;)
 {

	  USART0_Send_Str("JUMP(0);\r\n");
	  CheckBusy();
	  
	  for(k=0;k<=59;k++)
	   {
		 if (k<=9)
			 sprintf(buf,"SET_TXT(15,'0%d');\r\n",k);// 设置时间动态
		 else 		 
				sprintf(buf,"SET_TXT(15,'%d');\r\n",k);
		  UartSend(buf);			
			CheckBusy();
			Delay_ms(100);
			
			 
			  p[0]=rand()%100;
				p[1]=rand()%15;
				p[2]=rand()%35;
				p[3]=rand()%100;
				sprintf(buf,"SET_PROG(4,%d);SET_PROG(5,%d);SET_PROG(6,%d);SET_PROG(7,%d);\r\n",p[0],p[1],p[2],p[3]);//设置随机数值
				UartSend(buf);					
			  CheckBusy();
				Delay_ms(500);
			 
		 
	   }
				USART0_Send_Str("SET_PROG(4,30);SET_PROG(5,3);SET_PROG(6,22);SET_PROG(7,50);DELAYMS(1500);SET_BTN(9,1);\r\n");//设置数值
				CheckBusy();
				Delay_ms(200);
				 	
	   
		 
		 USART0_Send_Str("JUMP(1);\r\n");//跳转页面
		 
		 	  for(k=0;k<=59;k++)
	   {
		 if(k<=9)
			 sprintf(buf,"SET_TXT(10,'0%d');\r\n",k);//设置时间动态
			else 		 
				sprintf(buf,"SET_TXT(10,'%d');\r\n",k);
				UartSend(buf);					
			  CheckBusy();
				Delay_ms(100);
			
			
			  p[0]=rand()%100;
				p[1]=rand()%15;
				p[2]=rand()%35;
				p[3]=rand()%100;
				sprintf(buf,"SET_TXT(11,'%d');SET_TXT(12,'%d');SET_TXT(13,%d');SET_TXT(14,'%d');\r\n",p[0],p[1],p[2],p[3]);//设置随机数值
				UartSend(buf);					
			  CheckBusy();
				Delay_ms(500);
			
		 }
				USART0_Send_Str("SET_TXT(11,'30');SET_TXT(12,'3');SET_TXT(13,'22');SET_TXT(14,'50');\r\n");//出行建议
		    CheckBusy();
				Delay_ms(500);
		    USART0_Send_Str("SET_TXT(19,'The weather condition is good');\r\n");//出行建议
		    //USART0_Send_Str("SET_TXT(19,'天气状况良好，可放心出行');\r\n");//出行建议
				CheckBusy();
				Delay_ms(2000);
		    USART0_Send_Str("SET_BTN(6,1);\r\n");//出行建议
		 		CheckBusy();
				Delay_ms(200);
				 	
	   
		 
	    USART0_Send_Str("JUMP(2);\r\n");//跳转页面
		  Delay_ms(1000);
		  USART0_Send_Str("SET_POINT(5,5);SET_POINT(5,10);SET_POINT(5,15);SET_POINT(5,20);SET_POINT(5,25);SET_POINT(5,30);SET_POINT(5,35);SET_BTN(2,1);\r\n");//设置指针（空气PM2.5实时界面）、跳转页面
		  CheckBusy();
		  Delay_ms(1000);
		 
		  USART0_Send_Str("JUMP(3);\r\n");
		  Delay_ms(3000);
		  USART0_Send_Str("SET_BTN(3,1);\r\n");//紫外线实时界面、跳转页面
		  CheckBusy();
		  Delay_ms(200);
		 
		 	USART0_Send_Str("JUMP(4);\r\n");
		  Delay_ms(500);
		  USART0_Send_Str("SET_PROG(4,5);SET_PROG(4,10);SET_PROG(4,15);SET_PROG(4,20);SET_PROG(5,25);SET_PROG(5,30);SET_PROG(5,35);\r\n");//温湿度实时界面、跳转页面
		  CheckBusy();
		  Delay_ms(2000);
      USART0_Send_Str("SET_BTN(0,1);\r\n");
		  CheckBusy();
			Delay_ms(200);
			USART0_Send_Str("JUMP(0);\r\n");
			CheckBusy();

  }		 

}